
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "OGDFType.h"

#include "STDDeletable.h"

#include "OGDFLayeredCrossMinModule.h"

#include "stdcxxType.h"


#define LAYERBYLAYERSWEEP_DECL_VIRT(Type) \



#define LAYERBYLAYERSWEEP_DECL_NONVIRT(Type) \



#define LAYERBYLAYERSWEEP_DECL_ACCESSOR(Type) \



#define LAYERBYLAYERSWEEP_DEF_VIRT(Type) \



#define LAYERBYLAYERSWEEP_DEF_NONVIRT(Type) \



#define LAYERBYLAYERSWEEP_DEF_ACCESSOR(Type) \



DELETABLE_DECL_VIRT(LayerByLayerSweep)
LAYEREDCROSSMINMODULE_DECL_VIRT(LayerByLayerSweep)
LAYERBYLAYERSWEEP_DECL_VIRT(LayerByLayerSweep)
LAYERBYLAYERSWEEP_DECL_NONVIRT(LayerByLayerSweep)
LAYERBYLAYERSWEEP_DECL_ACCESSOR(LayerByLayerSweep)

#ifdef __cplusplus
}
#endif

